Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Interface Service

All Superinterfaces:
  ClassLoaderAware, Controllable, Service

All Known Subinterfaces:
  CacheService, DistributedCacheService, InvocationService, PartitionedService, ProxyService

All Known Implementing Classes:
  WrapperCacheService, WrapperInvocationService

      public interface Service

extends Service

This Service interface represents a controllable service that operates in a clustered network environment.

Since:
  Coherence 1.1
Author:
  gg 2002.02.08

Method Summary
`void` | `addMemberListener(MemberListener listener)` Add a Member listener.
`Cluster` | `getCluster()` Return the Cluster object that this Service is a part of.
`ServiceInfo` | `getInfo()` Return the ServiceInfo object for this Service.
`Serializer` | `getSerializer()` Return a Serializer used by this Service.
`java.lang.Object` | `getUserContext()` Return the user context object associated with this Service.
`void` | `removeMemberListener(MemberListener listener)` Remove a Member listener.
`void` | `setUserContext(java.lang.Object oCtx)` Associate a user context object with this Service.

Methods inherited from interface com.tangosol.util.Service
`addServiceListener, removeServiceListener`

Methods inherited from interface com.tangosol.util.Controllable
`configure, isRunning, shutdown, start, stop`

Methods inherited from interface com.tangosol.io.ClassLoaderAware
`getContextClassLoader, setContextClassLoader`

Method Detail

### getCluster

    Cluster getCluster()

  Return the Cluster object that this Service is a part of.
  Returns:
    the Cluster object

### getInfo

    ServiceInfo getInfo()

  Return the ServiceInfo object for this Service.
  Returns:
    the ServiceInfo object

### addMemberListener

    void addMemberListener(MemberListener listener)

  Add a Member listener.
  Parameters:
    `listener` - the `MemberListener` to add

### removeMemberListener

    void removeMemberListener(MemberListener listener)

  Remove a Member listener.
  Parameters:
    `listener` - the `MemberListener` to remove

### getUserContext

    java.lang.Object getUserContext()

  Return the user context object associated with this Service. The data type and semantics of this context object are entirely application specific and are opaque to the Service itself.
  Returns:
    an associated user context object or null if a context has not been set
  Since:
    Coherence 3.0

### setUserContext

    void setUserContext(java.lang.Object oCtx)

  Associate a user context object with this Service.
  Parameters:
    `oCtx` - a user context object
  Since:
    Coherence 3.0

### getSerializer

    Serializer getSerializer()

  Return a Serializer used by this Service.
  Returns:
    the Serializer object
  Since:
    Coherence 3.4

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.